summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/alsaequal/README13
-rw-r--r--audio/alsaequal/alsaequal.SlackBuild89
-rw-r--r--audio/alsaequal/alsaequal.info10
-rw-r--r--audio/alsaequal/asoundrc.example21
-rw-r--r--audio/alsaequal/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/audio/alsaequal/README b/audio/alsaequal/README
new file mode 100644
index 0000000000..14ab7b69e7
--- /dev/null
+++ b/audio/alsaequal/README
@@ -0,0 +1,13 @@
+equal is a real-time adjustable equalizer plugin for ALSA. It can be
+adjusted using an ALSA compatible mixer like alsamixergui or alsamixer.
+
+Alsaequal uses the Eq CAPS LADSPA Plugin as it's default equalizer
+but you can change it to use almost any LADSPA plugin like mbeq from
+the swh-plugin package. Though alsaequal is primarily intended to be
+used as an equalizer you should be able to use it to control any
+LADSPA plugin. It's similar in functionality to the LADSPA plugin
+provided with ALSA but allows for real-time controls as opposed to
+static controls defined in the asoundrc file.
+
+See the included asoundrc.example in the docs directory for ways of
+setting up alsa.
diff --git a/audio/alsaequal/alsaequal.SlackBuild b/audio/alsaequal/alsaequal.SlackBuild
new file mode 100644
index 0000000000..bf9bbe0adf
--- /dev/null
+++ b/audio/alsaequal/alsaequal.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for alsaequal
+
+# Copyright 2010 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=alsaequal
+VERSION=${VERSION:-0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" Q=
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/alsa-lib
+cp -a libasound_module_*_equal.so $PKG/usr/lib${LIBDIRSUFFIX}/alsa-lib
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/asoundrc.example > $PKG/usr/doc/$PRGNAM-$VERSION/asoundrc.example
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/alsaequal/alsaequal.info b/audio/alsaequal/alsaequal.info
new file mode 100644
index 0000000000..cedad29bb4
--- /dev/null
+++ b/audio/alsaequal/alsaequal.info
@@ -0,0 +1,10 @@
+PRGNAM="alsaequal"
+VERSION="0.6"
+HOMEPAGE="http://www.thedigitalmachine.net/alsaequal.html"
+DOWNLOAD="http://www.thedigitalmachine.net/tools/alsaequal-0.6.tar.bz2"
+MD5SUM="d2edc7710c72cbf3ab297c414e35ebda"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED="rworkman"
diff --git a/audio/alsaequal/asoundrc.example b/audio/alsaequal/asoundrc.example
new file mode 100644
index 0000000000..639e3e533a
--- /dev/null
+++ b/audio/alsaequal/asoundrc.example
@@ -0,0 +1,21 @@
+ctl.equal {
+ type equal;
+}
+
+pcm.plugequal {
+ type equal;
+ # Modify the line below if you don't
+ # want to use sound card 0.
+ slave.pcm "plughw:0,0";
+ # or if you want to use with multiple applications output to dmix
+ # slave.pcm "plug:dmix"
+}
+
+pcm.equal {
+ # Or if you want the equalizer to be your
+ # default soundcard uncomment the following
+ # line and comment the above line.
+#pcm.!default {
+ type plug;
+ slave.pcm plugequal;
+}
diff --git a/audio/alsaequal/slack-desc b/audio/alsaequal/slack-desc
new file mode 100644
index 0000000000..4332b519b1
--- /dev/null
+++ b/audio/alsaequal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alsaequal: alsaequal (10 Band Graphical Equalizer)
+alsaequal:
+alsaequal: equal is a real-time adjustable equalizer plugin for ALSA.
+alsaequal: It can be adjusted using an ALSA compatible mixer like
+alsaequal: alsamixergui or alsamixer.
+alsaequal:
+alsaequal: See the included asoundrc-example in the docs directory for
+alsaequal: ways of setting up alsa.
+alsaequal:
+alsaequal: Homepage: http://www.thedigitalmachine.net/alsaequal.html
+alsaequal: